<html xmlns:th="https://www.thymeleaf.org"
  th:replace="~{fragments/layout :: layout (~{::body},'mentors')}">

<body>

  <h2>
    <th:block th:if="${consultation['new']}">New </th:block>
    Consultation
  </h2>

  <b>Mentee</b>
  <table class="table table-striped">
    <thead>
      <tr>
        <th>Name</th>
        <th>Birth Date</th>
        <th>Type</th>
        <th>Mentor</th>
      </tr>
    </thead>
    <tr>
      <td th:text="${mentee.name}" /></td>
      <td
        th:text="${#temporals.format(mentee.birthDate, 'yyyy-MM-dd')}" /></td>
      <td th:text="${mentee.type}" /></td>
      <td
        th:text="${mentee.mentor?.firstName + ' ' + mentee.mentor?.lastName}" /></td>
    </tr>
  </table>

  <form th:object="${consultation}" class="form-horizontal" method="post">
    <div class="form-group has-feedback">
      <input
        th:replace="~{fragments/inputField :: input ('Date', 'date', 'date')}"  />
      <input
        th:replace="~{fragments/inputField :: input ('Description', 'description', 'text')}" />
    </div>

    <div class="form-group">
      <div class="col-sm-offset-2 col-sm-10">
        <input type="hidden" name="menteeId" th:value="${mentee.id}" />
        <button class="btn btn-default" type="submit">Add Consultation</button>
      </div>
    </div>
  </form>

  <br />
  <b>Previous Consultations</b>
  <table class="table table-striped">
    <tr>
      <th>Date</th>
      <th>Description</th>
    </tr>
    <tr th:if="${!consultation['new']}" th:each="consultation : ${mentee.consultations}">
      <td th:text="${#temporals.format(consultation.date, 'yyyy-MM-dd')}" /></td>
      <td th:text=" ${consultation.description}" /></td>
    </tr>
  </table>

</body>
</html>
